Platform
Catalog/Edit image/Qwen Image 2.1 Pro Edit
IMAGE → IMAGE · Qwen

Qwen Image 2.1 Pro Edit

Qwen Image 2.1 Pro Edit is the full-capacity Qwen-Image 2.1 editor, handling local edits and compositions of people and products from up to 10 reference images at 1K or 2K.
PRICE0.075 creditsper image
AVG TIME~15sestimate
OUTPUTimagesync
Open in playground

Inputs

promptrequired · text
imagerequired · Image — artifact id or https URL
params.aspect_ratioauto | 1:1 | 3:2 | 16:9 | 21:9 | 9:16 | 2:3 | 3:4 | 4:5 · default auto
params.resolution1K | 2K · default 1K
Monthly estimate
1,000 × 0.075 credits75.00 credits
curl https://platform.4i.app/api/v1/run \
  -H "Authorization: Bearer $FOURI_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "service": "qwen/qwen-image-2-1-pro-edit",
    "input": {
      "prompt": "Describe the edit…",
      "image": "img_… or https://…"
    },
    "params": {
      "aspect_ratio": "auto",
      "resolution": "1K"
    }
  }'
Every output has an artifact_id. Pass it as input to any compatible service.
Get your API key →